# Family.scss
[![npm version](https://badge.fury.io/js/family.scss.svg)](https://badge.fury.io/js/family.scss)
[![Gitter](https://badges.gitter.im/LukyVj/family.scss.svg)](https://gitter.im/LukyVj/family.scss?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)

Family.scss is a set of **24** smart Sass mixins which will help you to manage the style of `:nth-child`'ified elements, in an easy and classy way.


## Installation

### Regular
- Clone the project
- `$ middleman` ( You don't use middleman ? Goto [https://middlemanapp.com/](https://middlemanapp.com/) )

### Alternative install
- `$ npm install family.scss`
- `$ bower install family.scss`

Family.scss on [npm](https://www.npmjs.com/package/family.scss)

## Usage
Input :
```scss
ul li {
  background: red;

  @include first(3) {
    background: red;
  }
}
```

Output :
```sass
ul li {
  background: red;
}
ul li:nth-child(-n + 3) {
  background: red;
}

```

### Why only Sass ?
It's true, I did it for Sass, but some awesome contributors extended it to :
- [Stylus](https://github.com/nusususuzu/family.styl)


## Changelogs

### v1.0.3

- `first()` mixin now uses `:first-child` if the given parameter is `1`, closing [#10](https://github.com/LukyVj/family.scss/issues/10)
- `n-between()` mixin added ( [see](#) ), closing [#35](https://github.com/LukyVj/family.scss/issues/35)
- `at-least()`, `at-most()` and `in-between()` quantity queries mixins added ( [see](#) ), closing [#24](https://github.com/LukyVj/family.scss/issues/24)
- `pair-between()` is now `even
-between()`, closing [#34](https://github.com/LukyVj/family.scss/issues/34)
- `impair-between()` is now `odd-between()`, closing [#34](https://github.com/LukyVj/family.scss/issues/34)
- Source code for the header pattern generator added in the about modal
- Version number added in the footer
- `backdrop-filter` removed from the about page